## org.apache.mahout.cf.taste.impl.eval
Class OrderBasedRecommenderEvaluator

    java.lang.Object
      org.apache.mahout.cf.taste.impl.eval.OrderBasedRecommenderEvaluator

    public final class OrderBasedRecommenderEvaluator

extends Object

Evaluate recommender by comparing order of all raw prefs with order in recommender's output for that user. Can also compare data models.

Method Summary
`static void` `evaluate(DataModel model1, DataModel model2, int samples, RunningAverage tracker, String tag)`
`static void` `evaluate(Recommender recommender, DataModel model, int samples, RunningAverage tracker, String tag)`
`static void` `evaluate(Recommender recommender1, Recommender recommender2, int samples, RunningAverage tracker, String tag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### evaluate

    public static void evaluate(Recommender recommender1,
                                Recommender recommender2,
                                int samples,
                                RunningAverage tracker,
                                String tag)
                         throws TasteException

  Throws:
    `TasteException`

### evaluate

    public static void evaluate(Recommender recommender,
                                DataModel model,
                                int samples,
                                RunningAverage tracker,
                                String tag)
                         throws TasteException

  Throws:
    `TasteException`

### evaluate

    public static void evaluate(DataModel model1,
                                DataModel model2,
                                int samples,
                                RunningAverage tracker,
                                String tag)
                         throws TasteException

  Throws:
    `TasteException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.